Skip to main content

Generate

POST /validate/background HTTP/1.1
HOST: {{api_auco}}
Authorization: {{private_key}}

Service to generate a background check for a user. The generated validation may take up to 1 minute to be ready for retrieval via the query service.

Authentication

Include your private key in the Authorization header.

Authorization: prk_xxx...

Query Parameters

NameDescription
email
String
Required.
Email of the process creator.
This email must be registered on the Auco platform and must belong to the company.
identification
String
Required.
Identification number of the person to be consulted.
type
String
Required.
Identification document type of the person to be checked.
See Accepted document types.
name
String
Conditional.
Full name of the person to be checked. Required depending on type (see table).
expeditionDate
String
Conditional.
Issue date of the identification document. Required depending on type (see table).
Accepted format: 01/01/1995
targetWebhooks
Array<String>
Optional.
List of webhooks to be notified.
If not defined, it will be sent to the "default" webhook.
tags
Array<String>
Optional.
List of tags to be sent when notifying the configured webhooks.
custom
Object
Optional.
Free-form object that is stored alongside the process and forwarded in webhook notifications.

Accepted document types

The type value determines which additional fields are required.

typeDocumentAdditional required fields
CCCitizenship ID
CEForeigner ID
NITNIT
PPTTemporary Protection PermitexpeditionDate
PPPassportname
INTInternationalname

🧪 Usage examples

curl -X POST '{{api_auco}}/validate/background' \
-H 'Authorization: {{private_key}}' \
-d '{
"email": "prueba@auco.ai",
"type": "CC",
"identification": "1001001010",
"expeditionDate": "01/01/1995"
}'

📥 Example responses

{
"name": "NAME",
"code": "XXXXXXXXX"
}

⚠️ Error Responses

CodeDescription
400Missing parameters such as email, type or identification.
Missing name when type is PP or INT, or expeditionDate when type is PPT.
Incorrect format for expeditionDate.
401Invalid or missing authentication.